Bug 1846354 - Machine Config Daemon Daemon Set does not set universal Toleration (and therefore gets booted if taints are set on a node)
Summary: Machine Config Daemon Daemon Set does not set universal Toleration (and there...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.2.z
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.0
Assignee: Antonio Murdaca
QA Contact: Jonathan Lebon
URL:
Whiteboard:
Depends On: 1780318
Blocks: 1846357
TreeView+ depends on / blocked
 
Reported: 2020-06-11 12:37 UTC by OpenShift BugZilla Robot
Modified: 2020-07-13 17:44 UTC (History)
26 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:43:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1814 None closed [release-4.5] Bug 1846354: MCD: tolerate all taints 2020-09-09 07:06:56 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:44:25 UTC

Comment 5 Jonathan Lebon 2020-06-18 18:02:13 UTC
Tested on latest 4.5.0-0.ci release:

```
$ oc get ds --namespace openshift-machine-config-operator machine-config-daemon -o=jsonpath='{.spec.template.spec.tolerations}'
[map[operator:Exists]]

$ oc adm taint node ip-10-0-170-96.us-west-2.compute.internal infra=reserved:NoExecute
node/ip-10-0-170-96.us-west-2.compute.internal tainted

$ oc get pods --namespace openshift-machine-config-operator --field-selector spec.nodeName=ip-10-0-170-96.us-west-2.compute.internal
NAME                          READY   STATUS    RESTARTS   AGE
machine-config-daemon-mxmcx   2/2     Running   0          85m
```

Comment 6 errata-xmlrpc 2020-07-13 17:43:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.